<nz-tabset
  class="sqtm-overlay-border"
  style="background-color: white"
  [nzSelectedIndex]="nzTabSelected"
>
  <nz-tab [nzTitle]="projectTitleTemplate">
    <ng-template #projectTitleTemplate>
      <i
        nz-icon
        [nzType]="'bars'"
        [attr.data-test-element-id]="'project-scope'"
      ></i
      >{{ 'sqtm-core.entity.project.label.singular' | translate }}
    </ng-template>
    @if (items && items.length > 0) {
      <sqtm-core-grouped-multi-list
        [listItems]="items"
        (itemSelectionChanged)="changeSelection($event)"
        [separateSelectedItems]="true"
        [width]="300"
        [height]="600"
      >
      </sqtm-core-grouped-multi-list>
    }
  </nz-tab>
  @if (customScopeKind) {
    <nz-tab [nzTitle]="customTitleTemplate">
      <ng-template #customTitleTemplate>
        <i
          nz-icon
          [nzType]="'folder'"
          [attr.data-test-element-id]="'custom-scope'"
        ></i
        >{{ 'sqtm-core.generic.label.custom' | translate | capitalize }}
      </ng-template>
      <ng-template nz-tab>
        <div class="tree-picker flex-column">
          <div class="full-height">
            @switch (customScopeKind) {
              @case ('requirement') {
                <sqtm-core-requirement-picker
                  (selectedRows)="changeTreeSelection($event)"
                  [initialSelectedNodes]="initialSelectedEntities"
                >
                </sqtm-core-requirement-picker>
              }
              @case ('test-case') {
                <sqtm-core-test-case-picker
                  (selectedRows)="changeTreeSelection($event)"
                  [initialSelectedNodes]="initialSelectedEntities"
                >
                </sqtm-core-test-case-picker>
              }
              @case ('campaign') {
                <sqtm-core-campaign-picker
                  #campaignPicker
                  (selectedRows)="changeTreeSelection($event)"
                  [initialSelectedNodes]="initialSelectedEntities"
                >
                </sqtm-core-campaign-picker>
              }
            }
          </div>
          <div
            class="flex-fixed-size flex-row p-8 full-width"
            style="justify-content: flex-end"
          >
            <button
              [attr.data-test-element-id]="'confirm-scope'"
              class="flex-fixed-size"
              style="margin-left: auto"
              nz-button
              nzType="primary"
              (click)="handleConfirm()"
            >
              {{ 'sqtm-core.generic.label.confirm' | translate }}
            </button>
            <button
              [attr.data-test-element-id]="'cancel-scope'"
              class="m-l-10 flex-fixed-size"
              nz-button
              nzType="default"
              (click)="handleCancel()"
            >
              {{ 'sqtm-core.generic.label.cancel' | translate }}
            </button>
          </div>
        </div>
      </ng-template>
    </nz-tab>
  }
</nz-tabset>
